require('filetype').setup({
	overrides = {
		extensions = {
			v = 'vlang',
			astro = 'astro',
			h = 'c'
		},
	},
})

require('nvim-treesitter.configs').setup({
	highlight = {
		enable = true,
		disable = { 'lua' },
	},
})

require('telescope').load_extension('fzf')

require('mini.cursorword').setup()
require('mini.pairs').setup()
